classification
Title: A Py3K warning for array.array.{read,write} is needed
Type: Stage:
Components: Interpreter Core Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, georg.brandl, jeff.balogh
Priority: critical Keywords: 26backport, patch

Created on 2008-03-17 19:41 by brett.cannon, last changed 2008-03-25 08:37 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
issue2359.diff jeff.balogh, 2008-03-18 00:06
Messages (5)
msg63735 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-03-17 19:41
array.{read,write} from the array module should raise at least a Py3K
warning, if not a DeprecationWarning.
msg63753 - (view) Author: Jeff Balogh (jeff.balogh) * Date: 2008-03-17 20:13
I've got this one.
msg63778 - (view) Author: Jeff Balogh (jeff.balogh) * Date: 2008-03-17 21:05
Attaching a patch that adds the deprecation warnings.  

It's a bit dirty because there isn't a read or write function anymore, 
so I had to make stubs that contain the warnings.
msg63812 - (view) Author: Jeff Balogh (jeff.balogh) * Date: 2008-03-18 00:06
Attaching a fixed patch that follows PEP 7.
msg64465 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-03-25 08:37
Committed patch as r61881.
History
Date User Action Args
2008-03-25 08:37:39georg.brandlsetstatus: open -> closed
resolution: accepted
messages: + msg64465
nosy: + georg.brandl
2008-03-20 15:56:03jeff.baloghsetfiles: - issue2359.diff
2008-03-18 00:06:12jeff.baloghsetfiles: + issue2359.diff
messages: + msg63812
2008-03-17 21:05:41jeff.baloghsetfiles: + issue2359.diff
keywords: + patch
messages: + msg63778
2008-03-17 20:16:27brett.cannonsetpriority: release blocker -> critical
2008-03-17 20:13:06jeff.baloghsetnosy: + jeff.balogh
messages: + msg63753
2008-03-17 19:41:22brett.cannoncreate